<template src="./template.html"></template>

<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import { redirectPage } from "~/utils/apiHanlers";
import { apiErrorHandler } from "~/utils/apiHanlers";
@Component({
  components: {
    EmptyData: () => import("@/components/Utils/EmptyData/index.vue"),
  },
})
export default class RecentMarketingComponent extends Vue {
  @Prop()
  loadingTable!: boolean;

  get tab() {
    return this.$store.state.home.tab;
  }

  set tab(value: number) {
    this.$store.commit("home/setTab", value);
  }
  get listRealtime() {
    return this.$store.state.home.listRealtime;
  }
  set listRealtime(item: any) {
    this.$store.commit("home/setListRealtime", item);
  }

  sortViewContent = false;
  sortAddToCart = false;
  sortCheckOut = false;
  sortRevenue = false;
  sortPurchase = false;
  sortProductCost = false;
  sortConversionRate = false;
  sortGoCheckout = false;

  onSortTableLowToHigh(insert: string) {
    this.$store.commit("home/onSort", {
      key: insert,
      tab: this.tab,
      sortType: "lowToHigh",
      ctx: this,
    });
    this.checkValueSort(insert);
  }
  checkValueSort(insert: string) {
    this.sortGoCheckout = insert === "goCheckout";
    this.sortViewContent = insert === "viewContent";
    this.sortAddToCart = insert === "addToCart";
    this.sortCheckOut = insert === "initiateCheckout";
    this.sortRevenue = insert === "revenue";
    this.sortPurchase = insert === "purchase";
    this.sortProductCost = insert === "productCost";
    this.sortConversionRate = insert === "conversionRate";
  }
  onSortTableHightToLow(insert: string) {
    this.$store.commit("home/onSort", {
      key: insert,
      tab: this.tab,
      sortType: "hightToLow",
      ctx: this,
    });
    if (insert == "goCheckout") {
      this.sortGoCheckout = false;
    }
    if (insert == "viewContent") {
      this.sortViewContent = false;
    }
    if (insert == "addToCart") {
      this.sortAddToCart = false;
    }
    if (insert == "initiateCheckout") {
      this.sortCheckOut = false;
    }
    if (insert == "revenue") {
      this.sortRevenue = false;
    }
    if (insert == "purchase") {
      this.sortPurchase = false;
    }
    if (insert == "productCost") {
      this.sortProductCost = false;
    }
    if (insert == "conversionRate") {
      this.sortConversionRate = false;
    }
  }
}
</script>

<style lang="scss" scoped>
td,
th {
  border: 1px solid #f1f5f9;
}
td {
  padding: 16px !important;
}
p {
  margin-bottom: 0;
}
</style>
